X2Go Bug report logs - #1287
Drop file() from pyhoca-cli

version graph

Package: pyhoca-cli; Maintainer for pyhoca-cli is X2Go Developers <x2go-dev@lists.x2go.org>; Source for pyhoca-cli is src:pyhoca-cli.

Reported by: Orion Poplawski <orion@nwra.com>

Date: Sat, 14 Apr 2018 17:35:01 UTC

Severity: normal

Tags: pending

Found in version 0.5.0.4

Fixed in version 0.5.99.1

Done: Mike Gabriel Mike Gabriel <mike.gabriel@das-netzwerkteam.de>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#1287; Package pyhoca-cli. (Sat, 14 Apr 2018 17:35:01 GMT) (full text, mbox, link).


Acknowledgement sent to Orion Poplawski <orion@nwra.com>:
New Bug report received and forwarded. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Sat, 14 Apr 2018 17:35:01 GMT) (full text, mbox, link).


Message #5 received at submit@bugs.x2go.org (full text, mbox, reply):

From: Orion Poplawski <orion@nwra.com>
To: submit@bugs.x2go.org
Subject: Drop file() from pyhoca-cli
Date: Sat, 14 Apr 2018 11:31:28 -0600
[Message part 1 (text/plain, inline)]
Package: pyhoca-cli
Version: 0.5.0.4

file() is not present in python3.

-- 
Orion Poplawski
Manager of NWRA Technical Systems          720-772-5637
NWRA, Boulder/CoRA Office             FAX: 303-415-9702
3380 Mitchell Lane                       orion@nwra.com
Boulder, CO 80301                 https://www.nwra.com/
[pyhoca-cli-file.patch (text/x-patch, attachment)]

Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#1287; Package pyhoca-cli. (Sat, 14 Apr 2018 19:05:02 GMT) (full text, mbox, link).


Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Sat, 14 Apr 2018 19:05:02 GMT) (full text, mbox, link).


Message #10 received at 1287@bugs.x2go.org (full text, mbox, reply):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: Orion Poplawski <orion@nwra.com>, 1287@bugs.x2go.org
Subject: Re: [X2Go-Dev] Bug#1287: Drop file() from pyhoca-cli
Date: Sat, 14 Apr 2018 19:04:08 +0000
[Message part 1 (text/plain, inline)]
On  Sa 14 Apr 2018 19:31:28 CEST, Orion Poplawski wrote:

> Package: pyhoca-cli
> Version: 0.5.0.4
>
> file() is not present in python3.

Thanks for this, too. Please note that PyHoca-CLI on upstream's master  
branch has been ported to Python3 already.

However, with latest paramiko 2.4, I am unable to get a connection at  
the moment.

WIP, I'd say...

Mike
-- 

DAS-NETZWERKTEAM
mike gabriel, herweg 7, 24357 fleckeby
mobile: +49 (1520) 1976 148
landline: +49 (4354) 8390 139

GnuPG Fingerprint: 9BFB AEE8 6C0A A5FF BF22  0782 9AF4 6B30 2577 1B31
mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de

[Message part 2 (application/pgp-signature, inline)]

Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#1287; Package pyhoca-cli. (Tue, 18 Sep 2018 16:50:03 GMT) (full text, mbox, link).


Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Tue, 18 Sep 2018 16:50:04 GMT) (full text, mbox, link).


Message #15 received at 1287@bugs.x2go.org (full text, mbox, reply):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: 1287-submitter@bugs.x2go.org
Cc: control@bugs.x2go.org, 1287@bugs.x2go.org
Subject: X2Go issue (in src:pyhoca-cli) has been marked as pending for release
Date: Tue, 18 Sep 2018 18:45:41 +0200 (CEST)
tag #1287 pending
fixed #1287 0.5.99.1
thanks

Hello,

X2Go issue #1287 (src:pyhoca-cli) reported by you has been
fixed in X2Go Git. You can see the changelog below, and you can
check the diff of the fix at:

    http://code.x2go.org/gitweb?p=pyhoca-cli.git;a=commitdiff;h=bee1402

The issue will most likely be fixed in src:pyhoca-cli (0.5.99.1).

light+love
X2Go Git Admin (on behalf of the sender of this mail)

---
commit bee1402138e91941bbcbf9e0e16034ea7682273d
Author: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
Date:   Tue Sep 18 09:12:46 2018 +0200

    debian/changelog: Add closure for #1287.

diff --git a/debian/changelog b/debian/changelog
index f0e152a..11ecdc9 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -1,7 +1,7 @@
 pyhoca-cli (0.5.99.1-0x2go2) UNRELEASED; urgency=medium
 
   * New upstream version (0.5.99.1).
-    - Port to Python3.
+    - Port to Python3. (Fixes: #1287).
     - Add --force-password command line switch to override SSH key detection
       code.
     - Add --try-resume cmd line option and feature.


Added tag(s) pending. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Tue, 18 Sep 2018 16:50:07 GMT) (full text, mbox, link).


Marked as fixed in versions 0.5.99.1. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Tue, 18 Sep 2018 16:50:07 GMT) (full text, mbox, link).


Message sent on to Orion Poplawski <orion@nwra.com>:
Bug#1287. (Tue, 18 Sep 2018 16:50:09 GMT) (full text, mbox, link).


Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#1287; Package pyhoca-cli. (Wed, 19 Sep 2018 03:55:04 GMT) (full text, mbox, link).


Acknowledgement sent to Mike Gabriel Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Wed, 19 Sep 2018 03:55:05 GMT) (full text, mbox, link).


Message #27 received at 1287@bugs.x2go.org (full text, mbox, reply):

From: Mike Gabriel Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: 1287-submitter@bugs.x2go.org
Cc: control@bugs.x2go.org, 1287@bugs.x2go.org
Subject: X2Go issue (in src:pyhoca-cli) has been marked as closed
Date: Wed, 19 Sep 2018 05:50:59 +0200 (CEST)
close #1287
thanks

Hello,

we are very hopeful that X2Go issue #1287 reported by you
has been resolved in the new release (0.6.0.0) of the
X2Go source project »src:pyhoca-cli«.

You can view the complete changelog entry of src:pyhoca-cli (0.6.0.0)
below, and you can use the following link to view all the code changes
between this and the last release of src:pyhoca-cli.

    http://code.x2go.org/gitweb?p=pyhoca-cli.git;a=commitdiff;h=1546795abc2ce7ff86851bdbc8658c8e38adcec9;hp=87b6c71c4966ca9abf7139e39c3d122143dded80

If you feel that the issue has not been resolved satisfyingly, feel
free to reopen this bug report or submit a follow-up report with
further observations described based on the new released version
of src:pyhoca-cli.

Thanks a lot for contributing to X2Go!!!

light+love
X2Go Git Admin (on behalf of the sender of this mail)

---
X2Go Component: src:pyhoca-cli
Version: 0.6.0.0-0x2go1
Status: RELEASE
Date: Tue, 18 Sep 2018 19:14:37 +0000
Fixes: 984 1287 1308
Changes:
 pyhoca-cli (0.6.0.0-0x2go1) RELEASED; urgency=medium
 .
   * New upstream version (0.5.99.1).
     - Port to Python3. (Fixes: #1287).
     - Add --force-password command line switch to override SSH key detection
       code.
     - Add --try-resume cmd line option and feature.
     - setup.py: Fix version string detection. (Copy+paste flaw...).
     - Fix duplicate password prompt. Regression fix.
     - keyboard handling: Switch to kbd-type auto and kbd-layout null. Should
       auto-detect the client-side keyboard in the X2Go session just fine.
     - pyhoca-cli main programme: Check for DISPLAY env var being set and having
       a usable / expectable value.
     - Add --forward-sshagent / -A cmdline option for enabling SSH agent
       forwarding.
     - Entirely rewrite PyHocaCLI.authenticate() function. (Fixes: #1308).
     - Fix --share-local-folders (aka -F) option and really mount shared folders.
       (Fixes: #984).
     - Make important options work like with OpenSSH's command-line client.
       E.g. pyhoca-cli -l <user> -i <key> -A <host>. This can still be improved
       but helps for now a big deal.
   * debian/rules:
     + Build for Python3, not Python2.
     + Switch to pybuild DH build system.
     + Enforce Python3 build, fix FTBFS.
     + Ignore failures during dh_auto_clean. Helps with build envs that don't have
       python3-setuptools installed when building source packages.
   * debian/control:
     + Fix src:pkg header part.
     + Switch to python3-* dependencies.
     + White-space fix.
     + Bump versioned D (pyhoca-cli): python-x2go (>= 0.5.99.0~).
     + Drop D (pyhoca-cli): python3-argparse. Part of stdlib in Python3
       these days.
   * debian/{control,compat}: Bump to DH version level 9.


Marked Bug as done Request was from Mike Gabriel Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Wed, 19 Sep 2018 03:55:09 GMT) (full text, mbox, link).


Notification sent to Orion Poplawski <orion@nwra.com>:
Bug acknowledged by developer. (Wed, 19 Sep 2018 03:55:10 GMT) (full text, mbox, link).


Message sent on to Orion Poplawski <orion@nwra.com>:
Bug#1287. (Wed, 19 Sep 2018 03:55:13 GMT) (full text, mbox, link).


Bug archived. Request was from Debbugs Internal Request <owner@bugs.x2go.org> to internal_control@bugs.x2go.org. (Wed, 17 Oct 2018 05:24:02 GMT) (full text, mbox, link).


Send a report that this bug log contains spam.


X2Go Developers <owner@bugs.x2go.org>. Last modified: Tue Sep 17 11:04:20 2019; Machine Name: ymir.das-netzwerkteam.de

X2Go Bug tracking system

Debbugs is free software and licensed under the terms of the GNU Public License version 2. The current version can be obtained from https://bugs.debian.org/debbugs-source/.

Copyright © 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson, 2005-2017 Don Armstrong, and many other contributors.